> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1voiceagentslead submittersettings



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/voice/agents/lead-submitter/settings
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/lead-submitter/settings:
    post:
      tags:
        - CallOutcomeClassifiers
      operationId: voice.lead-submitter.settings.update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                url:
                  type: string
                  maxLength: 255
                method:
                  type: string
                  enum:
                    - POST
                    - PUT
                    - PATCH
                transcript_as_text:
                  type: boolean
                field_aliases:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                call_outcomes:
                  type: array
                  items:
                    type: string
                    enum:
                      - interested
                      - not_interested
                      - voice_mail
                      - call_me_later
                      - do_not_call
                      - wrong_number
                      - no_user_response
                      - not_qualified
                      - burned_experience
                      - quick_hangup
                      - maybe_interested
                      - agent_issue
                      - no_answer
                      - failed
                      - audio_issue
                      - busy
                      - unknown_error
                tags_on_complete:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                    maxLength: 50
                  maxItems: 10
                headers:
                  type:
                    - array
                    - 'null'
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        maxLength: 100
                      value:
                        type: string
                        maxLength: 500
                  maxItems: 10
                additional_data:
                  type:
                    - array
                    - 'null'
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        maxLength: 100
                      value:
                        type: string
                        maxLength: 500
                  maxItems: 10
              required:
                - enabled
                - url
                - method
                - transcript_as_text
                - call_outcomes
      responses:
        '200':
          description: '`LeadSubmitterData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LeadSubmitterData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    LeadSubmitterData:
      type: object
      properties:
        url:
          type: string
        enabled:
          type: boolean
          default: false
        method:
          type: string
          default: POST
        headers:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              key:
                type: string
              value:
                type: string
            required:
              - key
              - value
        call_outcomes:
          type:
            - array
            - 'null'
          items:
            type: string
        tags_on_complete:
          type:
            - array
            - 'null'
          items:
            type: string
        transcript_as_text:
          type: boolean
          default: false
        field_aliases:
          type:
            - array
            - 'null'
          items:
            type: string
        additional_data:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              key:
                type: string
              value:
                type: string
            required:
              - key
              - value
        daily_limit:
          type:
            - integer
            - 'null'
      required:
        - url
        - enabled
        - method
        - headers
        - call_outcomes
        - tags_on_complete
        - transcript_as_text
        - field_aliases
        - additional_data
        - daily_limit
      title: LeadSubmitterData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````